#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private DTTW8News4T[] cacheDTTW8News4T;

		
		public DTTW8News4T DTTW8News4T()
		{
			return DTTW8News4T(Input);
		}


		
		public DTTW8News4T DTTW8News4T(ISeries<double> input)
		{
			if (cacheDTTW8News4T != null)
				for (int idx = 0; idx < cacheDTTW8News4T.Length; idx++)
					if ( cacheDTTW8News4T[idx].EqualsInput(input))
						return cacheDTTW8News4T[idx];
			return CacheIndicator<DTTW8News4T>(new DTTW8News4T(), input, ref cacheDTTW8News4T);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.DTTW8News4T DTTW8News4T()
		{
			return indicator.DTTW8News4T(Input);
		}


		
		public Indicators.DTTW8News4T DTTW8News4T(ISeries<double> input )
		{
			return indicator.DTTW8News4T(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.DTTW8News4T DTTW8News4T()
		{
			return indicator.DTTW8News4T(Input);
		}


		
		public Indicators.DTTW8News4T DTTW8News4T(ISeries<double> input )
		{
			return indicator.DTTW8News4T(input);
		}

	}
}

#endregion
